## ocaml-iter 1.8

=== debian/changelog ===
ocaml-iter (1.8-2) unstable; urgency=medium

  * Enable autopkgtests

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 21 Oct 2024 10:09:21 +0100

ocaml-iter (1.8-1) unstable; urgency=medium

  * Initial release.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Oct 2024 14:03:53 +0100

## ocaml-iter 1.9

=== Makefile ===

all: build test

build:
	@dune build @install

test:
	@dune runtest --no-buffer --force

clean:
	@dune clean

doc:
	@dune build @doc

format:
	@dune build @fmt --auto-promote

DUNE_OPTS ?= --profile=release
BENCH_TARGETS= benchs.exe bench_persistent_read.exe bench_persistent.exe

benchs:
	@for i in $(BENCH_TARGETS) ; do \
	  echo "run benchmark $$i" ; \
	  dune exec $(DUNE_OPTS) "benchs/$$i" ; done

build-benchs:
	@dune build $(DUNE_OPTS) $(addprefix benchs/, $(BENCH_TARGETS))

bench-persistent:
	@dune exec $(DUNE_OPTS) benchs/bench_persistent.exe
bench-persistent-read:
	@dune exec $(DUNE_OPTS) benchs/bench_persistent_read.exe
benchs-iter:
	@dune exec $(DUNE_OPTS) benchs/benchs.exe

examples:
	dune exec examples/test_sexpr.exe

VERSION=$(shell awk '/^version:/ {print $$2}' iter.opam)

update_next_tag:
	@echo "update version to $(VERSION)..."
	sed -i "s/NEXT_VERSION/$(VERSION)/g" src/*.ml src/*.mli
	sed -i "s/NEXT_RELEASE/$(VERSION)/g" src/*.ml src/*.mli

WATCH ?= @install
watch:
	dune build $(WATCH) -w

.PHONY: benchs tests examples update_next_tag

=== debian/changelog ===
ocaml-iter (1.9-2) unstable; urgency=medium

  * Team upload
  * Fix tests on 32-bit architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 14 Sep 2025 09:35:25 +0200

ocaml-iter (1.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Feb 2025 07:58:43 +0100

=== debian/control ===
Source: ocaml-iter
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               ocaml-dune (>= 2.8.0),
               dh-ocaml (>= 1.2.2),
               libounit-ocaml-dev,
               libmdx-ocaml-dev,
               libqcheck-core-ocaml-dev,
               ocaml
Standards-Version: 4.7.0
Homepage: https://github.com/ocaml-multicore/iter
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-iter
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-iter.git

Package: libiter-ocaml-dev
Architecture: any
Depends: ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: clean and efficient loop fusion -- development files
 A simple abstraction over iter functions intended to
 iterate efficiently on collections while performing some
 transformations. Common operations supported by this
 package include filter, map, take, drop, append, and
 flat_map.
 .
 It aims at providing a very simple and efficient way of
 iterating on a finite number of values, only allocating one
 intermediate closure to do so.

=== debian/tests/control ===
Tests: upstream
Depends: @, ocaml-dune, libounit-ocaml-dev, libmdx-ocaml, libqcheck-core-ocaml-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain, \
    filenamemangle=s/.+\/iter-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.bz2/" \
https://api.github.com/repos/c-cube/iter/releases?per_page=100 \
https://github.com/c-cube/iter/releases/download/v\d[\.\d]*/iter-@ANY_VERSION@@ARCHIVE_EXT@
